Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Unable to connect to Eclipse Marketplace(Issue is with Certificates to be used - unable to find valid certification path to requested target)
Unable to connect to Eclipse Marketplace [message #1851425] Tue, 05 April 2022 13:51 Go to next message
Mohan Ragu Thangaraj is currently offline Mohan Ragu ThangarajFriend
Messages: 3
Registered: April 2022
Junior Member
Below error is thrown when we try to access Marketplace. Have tried exporting the certificate from marketplace link and adding it to the JRE folder. Tried in all 3 network connections possible like Direct, Native and Manual. Also, tried adding -Djava.net.preferIPv4Stack=true in the INI file. Tried different versions of Eclipse and all are failing with the same error. Please suggest any other possible resolutions.


MarketplaceDiscoveryStrategy failed with an error
Cannot complete request to https://marketplace.eclipse.org/api/p?product=org.eclipse.epp.package.jee.product&platform.version=4.5.2.v20160212-1500&os=win32&java.version=1.8.0_291&client=org.eclipse.epp.mpc.core&product.version=4.5.2.20160218-0600&runtime.version=3.11.1.v20150903-1804&client.version=1.4.2.v20160210-1948&ws=win32&nl=en_US: Unable to read repository at https://marketplace.eclipse.org/api/p?product=org.eclipse.epp.package.jee.product&platform.version=4.5.2.v20160212-1500&os=win32&java.version=1.8.0_291&client=org.eclipse.epp.mpc.core&product.version=4.5.2.20160218-0600&runtime.version=3.11.1.v20150903-1804&client.version=1.4.2.v20160210-1948&ws=win32&nl=en_US.
Unable to read repository at https://marketplace.eclipse.org/api/p?product=org.eclipse.epp.package.jee.product&platform.version=4.5.2.v20160212-1500&os=win32&java.version=1.8.0_291&client=org.eclipse.epp.mpc.core&product.version=4.5.2.20160218-0600&runtime.version=3.11.1.v20150903-1804&client.version=1.4.2.v20160210-1948&ws=win32&nl=en_US.
sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target
Re: Unable to connect to Eclipse Marketplace [message #1851441 is a reply to message #1851425] Tue, 05 April 2022 19:08 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 4267
Registered: July 2009
Senior Member

Your Eclipse version is 6 years old, and your Java runtime is approaching a year old. Both should be updated.

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Unable to connect to Eclipse Marketplace [message #1851463 is a reply to message #1851441] Wed, 06 April 2022 09:58 Go to previous messageGo to next message
Mohan Ragu Thangaraj is currently offline Mohan Ragu ThangarajFriend
Messages: 3
Registered: April 2022
Junior Member
Multiple Eclipse versions have been tried and we are getting the same error even in the latest version of Eclipse. Java/Eclipse versions does not seem to be an issue here. Attaching the screenshot and error from latest Java version & 2021 Eclipse version.

MarketplaceDiscoveryStrategy failed with an error
Cannot complete request to https://marketplace.eclipse.org/api/p?client=org.eclipse.epp.mpc.core&os=win32&platform.version=4.18: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target
PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target
PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target
PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target
PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target
  • Attachment: Error.png
    (Size: 44.21KB, Downloaded 72 times)
Re: Unable to connect to Eclipse Marketplace [message #1851468 is a reply to message #1851463] Wed, 06 April 2022 10:53 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 32506
Registered: July 2009
Senior Member
The query string here suggests you are using Eclipse 4.18. In any case, this problem is caused by missing cacerts. It might be the case that you are in a corporate environment where your proxy injects certificates into the communication stream that are not know to the Java runtime you are using, like in this case:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=578341#c23

Adding the certificate to your certificate store is the only way to fix the problem


Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Unable to connect to Eclipse Marketplace [message #1851496 is a reply to message #1851468] Wed, 06 April 2022 15:53 Go to previous messageGo to next message
Mohan Ragu Thangaraj is currently offline Mohan Ragu ThangarajFriend
Messages: 3
Registered: April 2022
Junior Member
I would agree. Could you please explain a bit more around the following steps on how this should be done.

4.) Instructed Firefox to save the certificate chain as a PEM file.
5.) Created a copy of my cacerts file.
6.) Imported the chain from the PEM file into the copy.
7.) Modified my eclipse.ini to contain -Djavax.net.ssl.trustStore=<PATH_TO_COPY>
in the vmargs section.

Thanks in advance.
Re: Unable to connect to Eclipse Marketplace [message #1851514 is a reply to message #1851496] Thu, 07 April 2022 08:39 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 32506
Registered: July 2009
Senior Member
To answer those types of questions, I would use Goolge to search for answers. I've never had to do this myself, but I've been at companies where they did this...

Ed Merks
Professional Support: https://www.macromodeling.com/
Previous Topic:syntax coloring not working correctly
Next Topic:Luna 4.4 and 2022-03 version questions
Goto Forum:
  


Current Time: Thu Oct 06 04:23:14 GMT 2022

Powered by FUDForum. Page generated in 0.05987 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top